import React, { useState, useRef, useEffect, useMemo } from "react";
import { TopToolbar, useResourceContext, useTranslate } from "react-admin";
import { Stack, Button, Box, Chip } from '@mui/material';
import ArrowBackIosNewIcon from '@mui/icons-material/ArrowBackIosNew';
import { useNavigate } from 'react-router-dom';

const CustomerTopToolBar = ({ backPrevious = false, ...rest }) => {
    const navigate = useNavigate();
    const resource = useResourceContext();
    const translate = useTranslate();

    
    return (
        <TopToolbar sx={{
            marginTop: 1,
            alignItems: 'center',
            justifyContent: 'flex-start'
        }}>
            <Button
                onClick={backPrevious ? () => navigate(-1) : () => navigate('/' + resource)}
                sx={{
                    border: '1px solid #ccc',
                    padding: '6px 12px',
                    textTransform: 'none'
                }}
                startIcon={<ArrowBackIosNewIcon />}
            >
                {translate('ra.action.back')}
            </Button>
        </TopToolbar>
    )
}

export default CustomerTopToolBar;